# Drone Collector

IN-PROGRESS!

A roguelike sound collection drone-strument toy.

Sorry, this repo doesn't contain the assets folder. You'll need that to run this. I'll upload a public playable version of this thing when I finish.

Created for Drone Jam, May 7 - 14, 2022.

Built in Love2d.

[Drone Jam](https://itch.io/jam/drone)

[Devlog thread on Mastodon](https://merveilles.town/web/@exquisitecorp/108264753547723259) 

## Inspiration

[The Beachcomber - audio excerpt from Ocean Hour - rebroadcast on This American Life](https://www.thisamericanlife.org/714/day-at-the-beach/act-three-13) 

[Discobog - Algobog DJed episode by Saltzshaker on WFMU](https://wfmu.org/playlists/shows/108956)

[Quiltfolk by me](https://notapipe.itch.io/quiltfolk)

### Command line incantations

Make these into aliases or functions if you'll use them a lot. Replacing the inputfile with $argv in fish or equivalent in Bash/zsh.

Convert spritesheet inputfile to animated gif via imagemagick, for sharing

```
convert -dispose previous inputfile.png -crop 400x500 +adjoin +repage -adjoin -loop 0 -delay 1 output-2.gif
```

Get dimensions of an image or video file via ffmpeg's ffprobe option.

```
ffprobe -v error -select_streams v:0 -show_entries stream=width,height -of csv=s=x:p=0 inputfile.png
```

### Tutorials

[Render Isometric Tiles](https://love2d.org/wiki/Tutorial:Isometric_Graphics)

[Animation](https://love2d.org/wiki/Tutorial:Animation)

[From Processing (and p5.js) to Love](https://github.com/lee2sman/processing-to-love) 

## Credits

[Mushy tileset by Everest Pipkin and contributors](https://everestpipkin.itch.io/mushy) 
CC-BY-3.0

[pix2pix-tensorflow](https://affinelayer.com/pixsrv/)  
